import type { ErrorMessageMode } from '/#/axios'
import { useMessage } from '/@/hooks/app/useMessage'
import * as HTTP from '/@/api/types'

const { createMessage, createErrorModal } = useMessage()

export function checkStatus(status: number, _msg: string, errorMessageMode: ErrorMessageMode = 'message'): void {
    const errMessage = status === undefined ? '网络异常' : HTTP.toMessage(status)

    if (errMessage) {
        if (errorMessageMode === 'modal') {
            createErrorModal({ title: '错误提示', content: errMessage })
        } else if (errorMessageMode === 'message') {
            createMessage.error(errMessage)
        }
    }
}
